Skip to content
Carts & CheckoutCarts

List shipping slots

Returns a shipping method's time slots for a date, with their capacity.

GET/v1/carts/{cartToken}/shipping-methods/{shippingMethodId}/slots
No token

Path Parameters

cartToken*string

Token that identifies the cart.

shippingMethodId*string

Query Parameters

rateId?string
sellerId?string

Identifier of the seller.

shippingProfileId?string

Identifier of the shipping profile.

target*string

Value in

  • "automatic"
  • "location"
  • "pickupPoint"
targetId?string
serviceCode?string
date*string
Formatdate

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Links the cart to the customer, with their prices and assigned codes.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/carts/replace_with_the_issued_token/shipping-methods/7204558912004325207/slots?target=automatic&date=2026-09-28" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>"
{  "shippingMethodId": "7204558912004325207",  "type": "regular",  "target": "automatic",  "targetId": "7204558912004322457",  "fulfillmentLocationId": "7204558912004325563",  "date": "2026-09-28",  "capacity": 1,  "scheduledCount": 24,  "slots": [    "09:00:00"  ]}